import { JavaObject } from '../../../java/lang/JavaObject';
export declare class BetriebAnsprechpartner extends JavaObject {
    id: Number | null;
    betrieb_id: Number | null;
    name: String | null;
    vorname: String | null;
    anrede: String | null;
    telefon: String | null;
    email: String | null;
    abteilung: String | null;
    titel: String | null;
    GU_ID: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): BetriebAnsprechpartner;
    static transpilerToJSON(obj: BetriebAnsprechpartner): string;
    static transpilerToJSONPatch(obj: Partial<BetriebAnsprechpartner>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_betrieb_BetriebAnsprechpartner(obj: unknown): BetriebAnsprechpartner;
